Subject: Re: bug#47641: Ongoing difficulities after linphoneqt -> linphone-desktop transition

From: Christopher Howard <[email-masked]>
Date: Thu, 22 Apr 2021 09:31:38 -0800

Raghav, I have sent you an instant message from my account. I am
currently still using the old version of linphone.

Christopher

-----Original Message-----
From: Raghav Gururajan <[email-masked]>
To: [email-masked]
Cc: Christopher Howard <[email-masked]>, Maxim Cournoyer <
[email-masked]>
Subject: Re: bug#47641: Ongoing difficulities after linphoneqt ->
linphone-desktop transition
Date: Thu, 22 Apr 2021 01:43:37 -0400

Hi Christopher and Maxim,
> > Hi, I've been having difficulties since the the recent
> > linphoneupdates. I know some work has been done on the package in
> > recentcommits, so just a few minutes ago I ran
> > guix time-machine -- environment --ad-hoc linphone-desktop
> > christopher@theoden ~ [env]$ guix describeGeneration 14	Apr 01
> > 2021 13:21:37	(current)   guix 079a7f2     repository URL: 
> > https://git.savannah.gnu.org/git/guix.git
> >      branch: master     commit:
> > 079a7f2c65c51da7b53b0e5ef44c516dc8eaab6e
> > The two problems I get running the program are:
> > (1) I get non-descript error icons when I send messages to
> > contacts(though the messages seem to get through)
> > (2) old messages do not appear when I start the application
> > (3) messages from others appear in notifications window but not in
> > theapp screen
> > (4) sometimes get a segfault upon replying to a message

Thanks for the report.
Would you be able to help me with the testing, by test-messaging me
over linphone, so that I can try some fixes? My address is
raghavgururajan at sip.linphone.org
> Hmm, it seems the problem strictly has to do with messaging?  That
> wouldexplain how my testing of the application failed to reveal it as
> I don'tcurrently used that feature (I use it for SIP calls only).

Same here.
> Is someone else equipped and able to reproduce it?  Perhaps
> Raghav(CC'd)?

I'll try to fix it.
Regards,RG.